Debian Bug report logs - #551543
cannot remove path when cwd is /tmp/muttprint*

version graph

Package: muttprint; Maintainer for muttprint is Rene Engelhard <rene@debian.org>; Source for muttprint is src:muttprint.

Reported by: Daryl Styrk <darylstyrk@gmail.com>

Date: Sun, 18 Oct 2009 22:45:02 UTC

Severity: important

Tags: patch

Found in versions muttprint/0.73-2, muttprint/0.73-2.1

Fixed in version muttprint/0.73-3

Done: Rene Engelhard <rene@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Sun, 18 Oct 2009 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daryl Styrk <darylstyrk@gmail.com>:
New Bug report received and forwarded. Copy sent to Rene Engelhard <rene@debian.org>. (Sun, 18 Oct 2009 22:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daryl Styrk <darylstyrk@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cannot remove path when cwd is /tmp/muttprint*
Date: Sun, 18 Oct 2009 18:39:10 -0400
Package: muttprint
Version: 0.73-2
Severity: normal


Attempting to print I get the following. 

presss any key to continue...cat: write error: Broken pipe
cannot remove path when cwd is /tmp/muttprint-tj3S1b for /tmp/muttprint-tj3S1b:
at /usr/share/perl/5.10/File/Temp.pm line 902

Which reads... 

#Some versions of rmtree will abort if you attempt to remove
# the directory you are sitting in. We protect that and turn it
# into a warning. We do this because this occurs during object
# destruction and so can not be caught by the user.
eval { rmtree($self->{DIRNAME}, $File::Temp::DEBUG, 0); };
warn $@ if ($@ && $^W);



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31.4+01 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages muttprint depends on:
ii  debconf [debconf-2.0]     1.5.27         Debian configuration management sy
ii  libtext-iconv-perl        1.7-2          converts between character sets in
ii  perl                      5.10.1-5       Larry Wall's Practical Extraction 
ii  texlive-fonts-recommended 2007.dfsg.2-4  TeX Live: Recommended fonts
ii  texlive-latex-extra       2007.dfsg.17-2 TeX Live: LaTeX supplementary pack
ii  texlive-latex-recommended 2007.dfsg.2-4  TeX Live: LaTeX recommended packag

Versions of packages muttprint recommends:
ii  bsd-mailx [mail-re 8.1.2-0.20090911cvs-2 simple mail user agent
ii  icedove [mail-read 2.0.0.22-1            free/unbranded thunderbird mail/ne
ii  libtimedate-perl   1.1900-1              Time and date functions for Perl
ii  mutt [mail-reader] 1.5.20-4              text-based mailreader supporting M

Versions of packages muttprint suggests:
pn  compface                  <none>         (no description available)
ii  dialog                    1.1-20080819-1 Displays user-friendly dialog boxe
ii  icedove [news-reader]     2.0.0.22-1     free/unbranded thunderbird mail/ne
pn  imagemagick               <none>         (no description available)
ii  lynx-cur [news-reader]    2.8.8dev.1-1   Text-mode WWW Browser with NLS sup
ii  muttprint-manual          0.73-2         Manual for muttprint
pn  ospics                    <none>         (no description available)
ii  psutils                   1.17-27        A collection of PostScript documen
ii  trn4 [news-reader]        4.0-test76-16  Threaded USENET news reader, based

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Sun, 25 Apr 2010 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juhapekka Tolvanen <juhtolv@iki.fi>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Sun, 25 Apr 2010 20:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 551543@bugs.debian.org (full text, mbox):

From: Juhapekka Tolvanen <juhtolv@iki.fi>
To: Debian Bug Tracking System <551543@bugs.debian.org>
Subject: I have this same bug
Date: Sun, 25 Apr 2010 23:03:54 +0300
Package: muttprint
Version: 0.73-2
Severity: normal

I have exactly this same bug. BTW its severity must be more severe
than normal, because it makes this package totally unusable.


-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'testing-proposed-updates'), (500, 'proposed-updates'), (101, 'testing'), (99, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=fi_FI.utf8, LC_CTYPE=fi_FI.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages muttprint depends on:
ii  debconf [debconf-2.0]         1.5.32     Debian configuration management sy
ii  libtext-iconv-perl            1.7-2      converts between character sets in
ii  perl                          5.10.1-12  Larry Wall's Practical Extraction 
ii  texlive-fonts-recommended     2009-8     TeX Live: Recommended fonts
ii  texlive-latex-extra           2009-7     TeX Live: LaTeX supplementary pack
ii  texlive-latex-recommended     2009-8     TeX Live: LaTeX recommended packag

Versions of packages muttprint recommends:
ii  emacs [mail-reader]        23.1+1-6      The GNU Emacs editor (metapackage)
ii  emacs23 [mail-reader]      23.1+1-6      The GNU Emacs editor (with GTK+ us
ii  evolution [mail-reader]    2.28.3-1      groupware suite with mail client a
ii  libtimedate-perl           1.2000-1      collection of modules to manipulat
ii  mailutils [mail-reader]    1:2.1+dfsg1-6 GNU mailutils utilities for handli
ii  mailutils-mh [mail-reader] 1:2.1+dfsg1-6 GNU mailutils-based MH utilities
ii  mew-bin [mail-reader]      1:6.3-2       external commands for Mew
ii  mutt [mail-reader]         1.5.20-7      text-based mailreader supporting M

Versions of packages muttprint suggests:
ii  compface                  1:1.5.2-5      Compress/decompress images for mai
ii  dialog                    1.1-20100119-2 Displays user-friendly dialog boxe
ii  emacs [news-reader]       23.1+1-6       The GNU Emacs editor (metapackage)
ii  emacs23 [news-reader]     23.1+1-6       The GNU Emacs editor (with GTK+ us
ii  imagemagick               7:6.6.0.4-2    image manipulation programs
ii  lynx-cur [news-reader]    2.8.8dev.2-1.1 Text-mode WWW Browser with NLS sup
ii  muttprint-manual          0.73-2         Manual for muttprint
ii  ospics                    0.73-2         Some images of operating system lo
ii  psutils                   1.17-27        A collection of PostScript documen

-- debconf information:
  muttprint/moved_pics:

-- 
Juhapekka "naula" Tolvanen * http colon slash slash iki dot fi slash juhtolv
"Quidquid Latine dictum sit altum videtur."




Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Tue, 15 Jun 2010 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Tue, 15 Jun 2010 12:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 551543@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <551543@bugs.debian.org>
Subject: Re: remove path when cwd is /tmp/muttprint*
Date: Tue, 15 Jun 2010 14:43:45 +0200
[Message part 1 (text/plain, inline)]
tags 551543 patch
thanks

diff -u /tmp/muttprint =muttprint
--- /tmp/muttprint      2010-06-15 14:42:37.711037595 +0200
+++ /usr/bin/muttprint  2010-06-15 14:42:44.591037171 +0200
@@ -740,6 +740,8 @@
  }
 }
 
+chdir($ENV{HOME}) || chdir('/');
+
 ################################### ENDE ####################################
 
 

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 15 Jun 2010 12:45:09 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 09 Nov 2010 15:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Sat, 27 Nov 2010 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Sat, 27 Nov 2010 18:54:06 GMT) Full text and rfc822 format available.

Message #24 received at 551543@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 551543@bugs.debian.org
Subject: muttprint: diff for NMU version 0.73-2.1
Date: Sat, 27 Nov 2010 19:50:19 +0100
[Message part 1 (text/plain, inline)]
tags 551543 + pending
thanks

Dear maintainer,

I've prepared an NMU for muttprint (versioned as 0.73-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #399:  We are a 100% Microsoft Shop. 
[muttprint-0.73-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 27 Nov 2010 18:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#551543; Package muttprint. (Sat, 27 Nov 2010 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. (Sat, 27 Nov 2010 20:21:03 GMT) Full text and rfc822 format available.

Message #31 received at 551543@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: gregor herrmann <gregoa@debian.org>, 551543@bugs.debian.org
Cc: madduck@debian.org
Subject: Re: Bug#551543: muttprint: diff for NMU version 0.73-2.1
Date: Sat, 27 Nov 2010 21:15:57 +0100
Hi,


On Sat, Nov 27, 2010 at 07:50:19PM +0100, gregor herrmann wrote:
> tags 551543 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for muttprint (versioned as 0.73-2.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

No problem with that NMU, but wouldn't it have been more sensible if
you (submitter of the patch) actually reminded me that there is a bug
there (which might not have ended up in my mailbox due to BTS suckage/spam
filtering) since June instead of just NMUing?

Besides that muttprint is a server tool (imho, printing on where you use
mutt and where the printer is connected to - that's in my case my mail server) -
and I only recently reinstalled my server to squeeze.
Given that the lenny->squeeze upgrade doesn't work there (and probably still doesn't,
my bug is at least as I saw not closed) ....

Grüße/Regards,

René




Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Sun, 28 Nov 2010 00:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Sun, 28 Nov 2010 00:45:10 GMT) Full text and rfc822 format available.

Message #36 received at 551543@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Rene Engelhard <rene@debian.org>
Cc: 551543@bugs.debian.org, madduck@debian.org
Subject: Re: Bug#551543: muttprint: diff for NMU version 0.73-2.1
Date: Sun, 28 Nov 2010 01:40:31 +0100
[Message part 1 (text/plain, inline)]
On Sat, 27 Nov 2010 21:15:57 +0100, Rene Engelhard wrote:

> > I've prepared an NMU for muttprint (versioned as 0.73-2.1) and
> > uploaded it to DELAYED/2. Please feel free to tell me if I
> > should delay it longer.
> No problem with that NMU, 

Ok, thanks.

> but wouldn't it have been more sensible if
> you (submitter of the patch) actually reminded me that there is a bug
> there (which might not have ended up in my mailbox due to BTS suckage/spam
> filtering) since June instead of just NMUing?

I understand your point but I see an NMU as a "reminder with
fallback", i.e. if a maintainer gets reminded that there is something
to do and says "please cancel, I'll handle it myself" -- it's a
reminder; if a maintainer doesn't react, the hopefully improved
package gets into the archive and users benefit.
 

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #97:  Small animal kamikaze attack on power supplies 
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Mon, 29 Nov 2010 19:28:41 GMT) Full text and rfc822 format available.

Notification sent to Daryl Styrk <darylstyrk@gmail.com>:
Bug acknowledged by developer. (Mon, 29 Nov 2010 19:28:41 GMT) Full text and rfc822 format available.

Message #41 received at 551543-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 551543-close@bugs.debian.org
Subject: Bug#551543: fixed in muttprint 0.73-2.1
Date: Mon, 29 Nov 2010 19:17:15 +0000
Source: muttprint
Source-Version: 0.73-2.1

We believe that the bug you reported is fixed in the latest version of
muttprint, which is due to be installed in the Debian FTP archive:

muttprint-manual_0.73-2.1_all.deb
  to main/m/muttprint/muttprint-manual_0.73-2.1_all.deb
muttprint_0.73-2.1.diff.gz
  to main/m/muttprint/muttprint_0.73-2.1.diff.gz
muttprint_0.73-2.1.dsc
  to main/m/muttprint/muttprint_0.73-2.1.dsc
muttprint_0.73-2.1_all.deb
  to main/m/muttprint/muttprint_0.73-2.1_all.deb
ospics_0.73-2.1_all.deb
  to main/m/muttprint/ospics_0.73-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551543@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated muttprint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 27 Nov 2010 19:31:49 +0100
Source: muttprint
Binary: muttprint muttprint-manual ospics
Architecture: source all
Version: 0.73-2.1
Distribution: unstable
Urgency: low
Maintainer: Rene Engelhard <rene@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 muttprint  - Pretty printing of mails
 muttprint-manual - Manual for muttprint
 ospics     - Some images of operating system logos/mascots
Closes: 551543
Changes: 
 muttprint (0.73-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "cannot remove path when cwd is /tmp/muttprint*": new patch
     17_leave_tmp_dir.dpatch by martin krafft: change away from temp dir before
     removing it (closes: #551543).
Checksums-Sha1: 
 808931d439b65fb869e0df24a0c352f1da4dc643 1724 muttprint_0.73-2.1.dsc
 1296a13fc0f5a0b4b6ee5ceb7e5a8725d12622ad 21966 muttprint_0.73-2.1.diff.gz
 eac957149c49087c8e202e66dcf42f7602781810 91084 muttprint_0.73-2.1_all.deb
 9c7bbbeec9d1e911259c1f02e70a5c83a04afdf3 1391218 muttprint-manual_0.73-2.1_all.deb
 d6912dc903eb42bc9215191cd87be337d3ed1530 258316 ospics_0.73-2.1_all.deb
Checksums-Sha256: 
 bfc4b99df7cb629f83a7e2191954424ebe45a7cc6734f96bb0237201c7673c14 1724 muttprint_0.73-2.1.dsc
 ee230e4964eb65451e99ac9652b34022776b27f5df13c79ade6a779056c65b0e 21966 muttprint_0.73-2.1.diff.gz
 24f678aeb91629a042772966695df56571227ff5087ecc92e15b67274a4dfba3 91084 muttprint_0.73-2.1_all.deb
 560b8ae18a24820decf1163921b473572bf3174fe6798e106156dca5089a29a5 1391218 muttprint-manual_0.73-2.1_all.deb
 a0cd21b2871635562eb575b76ffab9bb7ccf128f59e639cd9341a30786a463bd 258316 ospics_0.73-2.1_all.deb
Files: 
 6702e06f961e010331b6c550f7177380 1724 mail optional muttprint_0.73-2.1.dsc
 7ca287b4a404d5da9c89b10c92b5a4b5 21966 mail optional muttprint_0.73-2.1.diff.gz
 297635cba26cd252829c12715d918c0b 91084 mail optional muttprint_0.73-2.1_all.deb
 00134de90bb64988bbdc0ddc444eb7ae 1391218 doc optional muttprint-manual_0.73-2.1_all.deb
 d04dbebf6e33925e4df1764c501d8e40 258316 graphics optional ospics_0.73-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM8VK3AAoJELs6aAGGSaoGQogQAMGy9tYKljuxogVawwzxoPwn
CINoknyUfHzsHDSQ0IW+AYQTGzZZffPV0Q++eFGbalxbYfbwDoJkMxZUq5mpQEoQ
tc1KL1GIyBKbyhateTBC0WhVVXzYVJjggxZswjC7kUD9zS4ZwVRd89pY4SeocZCq
2bv6k4uZMJLPPzTZinwh+JjdLIkgm7sWKwOZO/bWlwJ9Idbojf9tOT7pX6BvpHKk
g3qLRqXTorHCXph6KHoDlcqEYGHZMkfmR7b19b6Dh6/fSOZ3MjnZPRW6T60DsIzt
b7JD9hZv0DRm13xBITyDUTYEK8uQ8L45Zh9Y8yl9wYVowyQPaWqR63xDuUR18tdg
ZfUtP0fSrylZQj9IVqFiiWNVOXa3STqR7j9s8X2LRMrKL1b4/eGa+FJHHcNiNoe5
QykLhRi/OcTE94JTAEZbzI+XpENs2MXnMXMhcr5WqmimsV32/ZGcODBJQt7NmYs9
ISoFxf1Tp7BbQ5UrqMAIj5DzfGH7h+D1ki4kyJ1XajR2IZLJZzBrZLuVDFOjz1KZ
dBZvOQb1+79/iE3xPPYJejdmF4g8HdVmLzbQorUX99z9m+nJzXlbG69moyUHCfvD
7w2x0TxlbTQgT5q2jSVRokqXQbo8ihabyKTfkAKd5HhSQvl+LJ77XTbR0QM14fXA
LdiosUuqcRfL7TrB+M7g
=WISR
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Tue, 14 Dec 2010 11:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Tue, 14 Dec 2010 11:30:06 GMT) Full text and rfc822 format available.

Message #46 received at 551543@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <551543@bugs.debian.org>
Subject: Re: Bug#551543: remove path when cwd is /tmp/muttprint*
Date: Tue, 14 Dec 2010 12:29:03 +0100
[Message part 1 (text/plain, inline)]
reopen 551543
found 551543 0.73-2.1
thanks

also sprach martin f krafft <madduck@debian.org> [2010.06.15.1443 +0200]:
> diff -u /tmp/muttprint =muttprint
> --- /tmp/muttprint      2010-06-15 14:42:37.711037595 +0200
> +++ /usr/bin/muttprint  2010-06-15 14:42:44.591037171 +0200
> @@ -740,6 +740,8 @@
>   }
>  }
>  
> +chdir($ENV{HOME}) || chdir('/');
> +
>  ################################### ENDE ####################################

Unfortunately, this does not fix the problem. :(

You also need to chdir() before the exit 1 in the fatalError sub.

However, this also does not get rid of all problems. For instance,
if you set the font to "Latex-bright" but forget to install
texlive-fonts-extra, then muttprint will just exit with exit code 0,
and no message about failure.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions muttprint/0.73-2.1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Dec 2010 11:30:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions muttprint/0.73-2.1. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 14 Dec 2010 11:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Wed, 15 Dec 2010 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Wed, 15 Dec 2010 17:27:03 GMT) Full text and rfc822 format available.

Message #55 received at 551543@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: martin f krafft <madduck@debian.org>, 551543@bugs.debian.org
Subject: Re: Bug#551543: remove path when cwd is /tmp/muttprint*
Date: Wed, 15 Dec 2010 18:23:38 +0100
[Message part 1 (text/plain, inline)]
tag 551543 + patch
thanks

On Tue, 14 Dec 2010 12:29:03 +0100, martin f krafft wrote:

> > diff -u /tmp/muttprint =muttprint
> > --- /tmp/muttprint      2010-06-15 14:42:37.711037595 +0200
> > +++ /usr/bin/muttprint  2010-06-15 14:42:44.591037171 +0200
> > @@ -740,6 +740,8 @@
> >   }
> >  }
> >  
> > +chdir($ENV{HOME}) || chdir('/');
> > +
> >  ################################### ENDE ####################################
> 
> Unfortunately, this does not fix the problem. :(
> You also need to chdir() before the exit 1 in the fatalError sub.

Rene,
for your convenience I'm attaching a diff that implements madduck's
proposal.

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Joe Cocker: With A Little Help From My Friends
[551543_take2.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#551543; Package muttprint. (Wed, 15 Dec 2010 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. (Wed, 15 Dec 2010 17:42:03 GMT) Full text and rfc822 format available.

Message #60 received at 551543@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: gregor herrmann <gregoa@debian.org>, 551543@bugs.debian.org
Subject: Re: Bug#551543: remove path when cwd is /tmp/muttprint*
Date: Wed, 15 Dec 2010 18:36:32 +0100
Hi,

On Wed, Dec 15, 2010 at 06:23:38PM +0100, gregor herrmann wrote:
> On Tue, 14 Dec 2010 12:29:03 +0100, martin f krafft wrote:
> 
> > > diff -u /tmp/muttprint =muttprint
> > > --- /tmp/muttprint      2010-06-15 14:42:37.711037595 +0200
> > > +++ /usr/bin/muttprint  2010-06-15 14:42:44.591037171 +0200
> > > @@ -740,6 +740,8 @@
> > >   }
> > >  }
> > >  
> > > +chdir($ENV{HOME}) || chdir('/');
> > > +
> > >  ################################### ENDE ####################################
> > 
> > Unfortunately, this does not fix the problem. :(
> > You also need to chdir() before the exit 1 in the fatalError sub.
> 
> Rene,
> for your convenience I'm attaching a diff that implements madduck's
> proposal.

Heh, well, I already had that built here...
I'm not stupid, thanks...

Grüße/Regards,

René




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#551543; Package muttprint. (Wed, 15 Dec 2010 19:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. (Wed, 15 Dec 2010 19:27:03 GMT) Full text and rfc822 format available.

Message #65 received at 551543@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: martin f krafft <madduck@debian.org>, 551543@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#551543: remove path when cwd is /tmp/muttprint*
Date: Wed, 15 Dec 2010 20:22:46 +0100
tag 551543 + pending
severity  551543 important
thanks

On Tue, Dec 14, 2010 at 12:29:03PM +0100, martin f krafft wrote:
> also sprach martin f krafft <madduck@debian.org> [2010.06.15.1443 +0200]:
> > diff -u /tmp/muttprint =muttprint
> > --- /tmp/muttprint      2010-06-15 14:42:37.711037595 +0200
> > +++ /usr/bin/muttprint  2010-06-15 14:42:44.591037171 +0200
> > @@ -740,6 +740,8 @@
> >   }
> >  }
> >  
> > +chdir($ENV{HOME}) || chdir('/');
> > +
> >  ################################### ENDE ####################################
> 
> Unfortunately, this does not fix the problem. :(

Well, it probably does when it's supposed to work ..

> You also need to chdir() before the exit 1 in the fatalError sub.

.. it'd still fail if there was a error anyway, but yes, bad.

> However, this also does not get rid of all problems. For instance,
> if you set the font to "Latex-bright" but forget to install
> texlive-fonts-extra, then muttprint will just exit with exit code 0,
> and no message about failure.

That's why it's not the default setting... But yes, maybe we should
suggest texlive-fonts-extra...

Now the question is whether this second iteration (especially the suggests)
is critical enough to warrant a freeze exception in deep freeze where only
RC bugs are allowed (which this isn't anymore)...

Grüße/Regards,

René




Added tag(s) pending. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Wed, 15 Dec 2010 19:27:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Wed, 15 Dec 2010 19:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Wed, 15 Dec 2010 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Wed, 15 Dec 2010 19:48:03 GMT) Full text and rfc822 format available.

Message #74 received at 551543@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Rene Engelhard <rene@debian.org>, 551543@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#551543: remove path when cwd is /tmp/muttprint*
Date: Wed, 15 Dec 2010 20:29:19 +0100
[Message part 1 (text/plain, inline)]
also sprach Rene Engelhard <rene@debian.org> [2010.12.15.1836 +0100]:
> Heh, well, I already had that built here...
> I'm not stupid, thanks...

Noone doubted that you can do this yourself. Thanks to gregor for
trying to make your life easier. ;)

And thanks to both of you too!

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Reply sent to Rene Engelhard <rene@debian.org>:
You have taken responsibility. (Wed, 15 Dec 2010 19:48:06 GMT) Full text and rfc822 format available.

Notification sent to Daryl Styrk <darylstyrk@gmail.com>:
Bug acknowledged by developer. (Wed, 15 Dec 2010 19:48:06 GMT) Full text and rfc822 format available.

Message #79 received at 551543-close@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 551543-close@bugs.debian.org
Subject: Bug#551543: fixed in muttprint 0.73-3
Date: Wed, 15 Dec 2010 19:47:08 +0000
Source: muttprint
Source-Version: 0.73-3

We believe that the bug you reported is fixed in the latest version of
muttprint, which is due to be installed in the Debian FTP archive:

muttprint-manual_0.73-3_all.deb
  to main/m/muttprint/muttprint-manual_0.73-3_all.deb
muttprint_0.73-3.diff.gz
  to main/m/muttprint/muttprint_0.73-3.diff.gz
muttprint_0.73-3.dsc
  to main/m/muttprint/muttprint_0.73-3.dsc
muttprint_0.73-3_all.deb
  to main/m/muttprint/muttprint_0.73-3_all.deb
ospics_0.73-3_all.deb
  to main/m/muttprint/ospics_0.73-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551543@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Engelhard <rene@debian.org> (supplier of updated muttprint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 Dec 2010 20:19:45 +0100
Source: muttprint
Binary: muttprint muttprint-manual ospics
Architecture: source all
Version: 0.73-3
Distribution: unstable
Urgency: low
Maintainer: Rene Engelhard <rene@debian.org>
Changed-By: Rene Engelhard <rene@debian.org>
Description: 
 muttprint  - Pretty printing of mails
 muttprint-manual - Manual for muttprint
 ospics     - Some images of operating system logos/mascots
Closes: 551543
Changes: 
 muttprint (0.73-3) unstable; urgency=low
 .
   * 17_leave_tmp_dir.dpatch, also chdir() in the fatalError sub, thanks
     martin krafft again (closes: #551543)
   * suggest texlive-fonts-extra
Checksums-Sha1: 
 5672b2f8bd3fa3bbeaed35b917a8b0d79a0a3992 1716 muttprint_0.73-3.dsc
 4ce08052d402577438e902d96a1eaa4eb62bf733 22177 muttprint_0.73-3.diff.gz
 117250ee4d38a97c3238b148eac604a08eac7f93 91586 muttprint_0.73-3_all.deb
 5ab508b766af0ada920dbb0c71320c8ebc70f37e 1391264 muttprint-manual_0.73-3_all.deb
 df36ff2531f53243c363cf30a904ee24353cffcf 255234 ospics_0.73-3_all.deb
Checksums-Sha256: 
 05339696973eef28f5c4efae6032d88c10c4b5e415c4c535b68d774426aceae4 1716 muttprint_0.73-3.dsc
 0d9a2fc8fa407c26494e65ddcebc671e524c9f7c3dd825c5b014bae81ead1beb 22177 muttprint_0.73-3.diff.gz
 47f2fa1a6a6ca9b74fa9969f35fec6800e9991940568df69490b9cc6a17e26ef 91586 muttprint_0.73-3_all.deb
 c260e4a73a9df4345a9597f75046360b09c3bef2cff45501510c7160315d073a 1391264 muttprint-manual_0.73-3_all.deb
 76dbfe63deb6427ea8758c6fc59d66a4bc3bdd2e47a8e8477d24b228be4ddc52 255234 ospics_0.73-3_all.deb
Files: 
 8c40d58da8342b94d62d6c25f9e7bbcf 1716 mail optional muttprint_0.73-3.dsc
 f1d0d2a60eab9cf3410b0a83f3cc6348 22177 mail optional muttprint_0.73-3.diff.gz
 d30d99e20447d5afee3235c407fc530a 91586 mail optional muttprint_0.73-3_all.deb
 5c54b0fbb06ec04555335f51dd4d6b73 1391264 doc optional muttprint-manual_0.73-3_all.deb
 e89ded41db5d343e45e83bd504554352 255234 graphics optional ospics_0.73-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNCRigAAoJEAqgRXHQPj5wfsYP/0VXUzAG06T55HiSo0nog3Eh
HiBWWp18VTiVEA6esz12LP1TV/tzBQbUgHSxWGC7G9KzB7UVEDDCg3kvPvISvjqM
lhlPPkANABSTGbVIi0ttMuaLOV5LAJLBUtGcwJZ7hfxtwfyxrL4qsWhkIb5suO6q
Dz+GCg6Y/rbeRv1+vG1W/8lhLeIIMFc1AM5rwfB0ryq6nKgdcaCkNyQhYxfy2jyW
MevCyt8YC4IsGd3H35eb6+NuYeJ/uzvZEaicR7/7yoxa/a4BNadnutOAT5cWQQqT
DdKUduj0mHMmQOeVx+4Pg4ZYJ5AuOVtYdcF0RABeYdRrKc1QYEXVnBlnFnI6ETvZ
DN1H+o0FRJhw3ZkporNWBoz0kcDmiwHvTxrB2LY9u2QWOihst2nh5Dkg4BrNBtZY
KYejrPDw+sdQ9W7ebvzTxOllhrWEFlCvVXbWsHe4EUDgknWIVljfnvnUP3RYMGXM
WK6srrxHxhOmRTapMyTZU3NF7DvcwHXTNpqpuANHy1sqbeCICT3H8rPFV1j+9A56
EvJSitqxbMxbKOLQYl+7JGV18rr973x9W2PfFIG8aAHa720s0dWSgur6vZ9MhEr/
6eikBbWtXvSg7x91RyWyWsChxbdJPhwZDdvqTrFrbXEKQWGfB2a3m9tFVlt1gf1F
WHiW6TuLIXqJjOWonLen
=RcSx
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#551543; Package muttprint. (Wed, 15 Dec 2010 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Wed, 15 Dec 2010 20:15:03 GMT) Full text and rfc822 format available.

Message #84 received at 551543@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Rene Engelhard <rene@debian.org>
Cc: 551543@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#551543: remove path when cwd is /tmp/muttprint*
Date: Wed, 15 Dec 2010 21:10:30 +0100
[Message part 1 (text/plain, inline)]
also sprach Rene Engelhard <rene@debian.org> [2010.12.15.2022 +0100]:
> Now the question is whether this second iteration (especially the
> suggests) is critical enough to warrant a freeze exception in deep
> freeze where only RC bugs are allowed (which this isn't
> anymore)...

Probably not, although this package is hardly important at all, so
it could easily be done — but likely will not.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
quick!! act as if nothing has happened!
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Jan 2011 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:57:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.